update `ombutel`.`ombu_speed_dials` set
	`description` = `extension`
where `description` is null or `description` = "";

update `ombutel`.`ombu_speed_dials` as `speed_dials`
left join (
	select
		`description`,
		count(1) as `num`
	from `ombutel`.`ombu_speed_dials`
	group by `description`
	having `num` > 1
) as `dupes` using (`description`)
set
	`speed_dials`.`description` = concat_ws(".", `speed_dials`.`speed_dial_id`, `speed_dials`.`description`)
where `dupes`.`num` is not null;

alter table `ombutel`.`ombu_speed_dials`
	change column `description` `description` varchar(255) not null,
	add unique (`description`);
