alter table `ombutel`.`ombu_dahdi_spans`
	drop foreign key `ombu_dahdi_spans_ibfk_1`,
	drop index `device_id`,
	add unique key (`device_id`, `name`),
	add foreign key (`device_id`) references `ombutel`.`ombu_dahdi_devices` (`device_id`) on delete cascade;

update `ombutel`.`ombu_devices` as `devices`
left join `ombutel`.`ombu_dahdi_channels` as `channels` on (`channels`.`global_index` = `devices`.`user`)
left join `ombutel`.`ombu_dahdi_spans` as `spans` on (`spans`.`span_id` = `channels`.`span_id`)
set `devices`.`user` = `channels`.`channel_id`
where `spans`.`active` = "yes";
