use `ombutel`;

insert ignore into `ombu_numbers` (
		`module_id`,
		`number`
	)
	select `modules`.`module_id`,
		coalesce(
			`featurecode`.`customnumber`,
			`featurecode`.`defaultnumber`
	)
	from
		`ombu_modules` as `modules`,
		`ombu_feature_codes` as `featurecode`
	where `modules`.`name` = 'feature_code';
