// Let"s re-implement pbx_request since it cannot be extended and doesn"t know what we clicked on
function intrusion_request(element, method, data, func) {
	data.class = "intrusion_detection";
	data.method = method;
	data.mode = null;
	$.ajax(
		{
			type: "POST",
			url: CallBack,
			dataType: "json",
			data: data,
			success: function (response) {
				func(response);
				processServerResponse(response);
				delegatePBX();
			},
			error: processServerErrors
		}
	);
}

function intrusion_unban(element, host, jail) {
	intrusion_request(
		element,
		"unban",
		{ host: host, jail: jail },
		function (response) {
			if (response.state == "unbanned") {
				response.state = "message";
				$(element).closest("tr").remove();
			}
		}
	);
}

function intrusion_remove(element) {
	$(element).closest("tr").remove();
}

function intrusion_addrow(element) {
	$(element).closest("table").find("tbody").append(
		$("<tr>").append(
			$("<td>").append(
				$("<input>")
					.attr("type", "text")
					.attr("name", "whitelist[]")
			),
			$("<td>").append(
				$("<button>")
					.attr("type", "button")
					.click(function (event) {
						intrusion_remove(event.target);
					})
					.addClass("btn btn-danger btn-xs")
					.append(
						$("<i>").addClass("glyphicon glyphicon-trash")
					)
			)
		)
	);
}
